Bug 813165 - Upgrade Liquibase to version 2.0
Upgrade Liquibase to version 2.0
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Persistence, Maintainability, Deployment (Show other bugs)
1.5
Unspecified Unspecified
unspecified Severity medium
: ---
: 1.6-alpha-1
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 02:23 EDT by Carlos Munoz
Modified: 2015-04-01 03:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6.1-SNAPSHOT (20120606-0019)
Doc Type: Bug Fix
Doc Text:
Cause Liquibase is a tool used to track and to apply changes to the database schema during a Zanata version upgrade. In cases where the Zanata database user account does not have sufficient privileges to update the database schema, a database administrator can use Liquibase with sufficient privileges to update the schema. Consequence Version 1 of Liquibase had a bug that prevented some foreign key constraints from being created during a schema update. Change The version of Liquibase used to track and perform Zanata database schema changes has been updated to version 2. Result System administrators performing an upgrade of a Zanata installation should now use Liquibase 2 to apply database schema updates.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-04-17 02:23:36 EDT
Upgrade Liquibase to the latest 2.x stable release.
Comment 1 Joshua Wulf 2012-04-20 02:43:07 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    Liquibase is a tool used to track and to apply changes to the database schema during a Zanata version upgrade. In cases where the Zanata database user account does not have sufficient privileges to update the database schema, a database administrator can use Liquibase with sufficient privileges to update the schema.
Consequence
    Version 1 of Liquibase had a bug that prevented some foreign key constraints from being created during a schema update. 
Change
    The version of Liquibase used to track and perform Zanata database schema changes has been updated to version 2.
Result
    System administrators performing an upgrade of a Zanata installation should now use Liquibase 2 to apply database schema updates.
Comment 2 Ding-Yi Chen 2012-06-07 01:34:28 EDT
Verified Zanata version 1.6.1-SNAPSHOT (20120606-0019)

Liquibase version is 2.0.3

Note You need to log in before you can comment on or make changes to this bug.